/***************************************************************************
 *   Copyright (C) 2005 by Stefano                                         *
 *   stefano@xiaprojects.com                                               *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#ifndef GAMAROK__H
#define GAMAROK__H

#include "gpluginsdk.h"

class DCOPClient;


class GAmarok : public gPluginSDK
{
  Q_OBJECT
public:
	GAmarok(QObject *parent = 0, const char *name = 0);
	~GAmarok();
public slots:
    virtual void xGetParameter(const QString, QString&);
    virtual void xSetupParameter(const QString, const QString);
    virtual void xGetParameterList(QStringList *);
    virtual void xPaint(int);
    virtual void polling();
    virtual void xApplyCfg();
    virtual void dirty(const QString &);
    virtual void xStop();
    virtual void xStart();
    void setAlbum(const QString);
    void getAlbumImage(QString &);
    void getTitle(QString &);
protected:
	QString themepath;
	QString defaultBackground;
	QPixmap lastImage;
	QString lastAlbumImage;
	QPixmap	miniPlay;
	void loadResources(const QString);
    int getTotalTime();
    int getCurrentTime();
    int getPlayPercentage();
	int IconSize;
	QPixmap background;
	DCOPClient *client;
	QString lastTitle;
	QString Title;
	gPluginPainter *Painter;
};


#endif
